package nl.nikhef.sfp;


public class SimSFPProvider extends SFPProviderBase {

	private boolean _firstRun = true;
	
	private SimSFPDevice _device = new SimSFPDevice("SIM1", 4);
	
	public void scanForNewDevices()
	{
		if (!_firstRun) return;
		
		addDevice(_device);
		
		_firstRun = false;
	}
	
	@Override
	public void updateDevices() {
	}
	
	public SimSFPDevice getSimulatedDevice() {
		return _device;
	}

	@Override
	public String getName() {
		return "SimSFPProvider";
	}


}
